Subject: Re: [PATCH] send-email: Defines smtpPassCmd config option

From: Carlo Marcelo Arenas Belón <[email-masked]>
Date: Sun, 3 May 2020 16:48:34 -0700

On Sun, May 03, 2020 at 04:27:57PM +0000, brian m. carlson wrote:
> On 2020-05-03 at 09:43:48, Jeff King wrote:
> > On Fri, May 01, 2020 at 11:59:48PM +0000, brian m. carlson wrote:
> > 
> > > I think perhaps many folks aren't aware that you can invoke Git with an
> > > arbitrary shell command as "credential.helper", which of course makes
> > > life a lot easier.  So if you want to invoke a separate command, it's
> > > really as easy as this:
> > > 
> > >   git config credential.smtp://smtp.crustytoothpaste.net.helper \
> > >     '!f() { echo username=my-username; echo "password=$(my-password-command)"; }; f'
> > > 
> > > So I think that documenting the use of the credential helper is step 1,
> > > because probably most people _do_ want to use that for their passwords,
> > > and then documenting that credential helpers can be arbitrary shell
> > > commands that speak the protocol is step 2, so that people who don't can
> > > figure out a way to do what they want.
> > > 
> > > I'll send some patches later which document the latter feature, since I
> > > don't think we mention it anywhere outside of the FAQ.  I actually
> > > didn't know about it until Peff mentioned it to me one time.
> > 
> > This is documented, but only recently did it make it out of
> > Documentation/technical/ and into gitcredentials(7). I don't mind adding
> > more pointers, though.
> 
> Ah, yes, I remembered that series, but forgot that it introduced
> documentation for that.

if we are going to mention an example or a credential helper specially
tailored to smtp, then the recently reintroduced syntax by Dscho in
9a121b0d22 (credential: handle `credential.<partial-URL>.<key>` again,
2020-04-24), might come up handy IMHO.

Carlo